MultiMarkdown für Ubuntu fixen


Wie hier berichtet, scheint die Ubuntu Version von MultiMarkdown defekt zu sein.
Als Resultat daraus lassen sich mit Scrivener 1.9.0.1 (der aktuellen Linux-Beta) keine Latex Dokumente erstellen, da der Kompilierungsvorgang mit einem unbekannten Fehler abbricht.

Mit den folgenden Schritten habe ich die Funktion wieder zum laufen gebracht:

  1. sudo apt-get purge libtext-multimarkdown-perl
  2. sudo apt-get install cmake checkinstall
  3. git clone https://github.com/fletcher/MultiMarkdown-5.git
  4. cd into the checked out repository
  5. ./link_git_modules
  6. ./update_git_modules
  7. make
  8. cd build
  9. make
  10. make test
  11. checkinstall

Beim vorletzten Kommando sollte genau ein Test fehlschlagen. Infos zu Checkinstall gibt es hier. Mehr zur Scrievener Latex-Konfiguration gibt es hier.


Sascha

Sascha Manns

App & Web-Developer, Author

Disclaimer

The opinions expressed herein are my own personal opinions and do not represent my employer's view in anyway.




Badges

Visitors:

counter

Vulnerability Scanner

Vulnerability Scanner

Github


Stackoverflow

profile for saigkill at Stack Overflow, Q&A for professional and enthusiast programmers


Codeproject


OpenHUB

Open Hub profile for Sascha Manns


Feeds


Application Name WilderBlog Environment Name Production
Application Ver v4.0.30319 Runtime Framework x86
App Path D:\home\site\wwwroot\ Runtime Version .NET Core 4.6.27521.02
Operating System Microsoft Windows 10.0.14393 Runtime Arch X86